Change log for totem-pl-parser package in Ubuntu

175 of 93 results
Published in eoan-release on 2019-04-18
Published in disco-release on 2019-03-12
Deleted in disco-proposed (Reason: moved to release)
totem-pl-parser (3.26.3-1ubuntu1) disco; urgency=medium

  * Resynchronize on Debian, remaining changes
    - Split libtotem-plparser-videosite off to a separate package
      to avoid pulling all its dependencies into main
    - debian/control.in:
      + Don't have libtotem-pl-parser-dev depend on libquvi-dev

Superseded in disco-release on 2019-03-12
Deleted in disco-proposed on 2019-03-13 (Reason: moved to release)
totem-pl-parser (3.26.2-1ubuntu1) disco; urgency=medium

  * Resynchronize on Debian, remaining changes
    - Split libtotem-plparser-videosite off to a separate package
      to avoid pulling all its dependencies into main
    - debian/control.in:
      + Don't have libtotem-pl-parser-dev depend on libquvi-dev

Superseded in disco-release on 2019-01-17
Published in cosmic-release on 2018-08-28
Deleted in cosmic-proposed (Reason: moved to release)
totem-pl-parser (3.26.1-1ubuntu1) cosmic; urgency=medium

  * Resynchronize on Debian, remaining changes
    - Split libtotem-plparser-videosite off to a separate package
      to avoid pulling all its dependencies into main
    - debian/control.in:
      + Don't have libtotem-pl-parser-dev depend on libquvi-dev

Superseded in cosmic-release on 2018-08-28
Published in bionic-release on 2017-12-05
Deleted in bionic-proposed (Reason: moved to release)
totem-pl-parser (3.26.0-1ubuntu2) bionic; urgency=medium

  * totem-pl-parser-xspf.c: Avoid large stutters in video playback due to
    heavy (and unnecessary) disk syncing (LP: #1698270)

 -- Daniel van Vugt <email address hidden>  Tue, 31 Oct 2017 17:07:46 +0800
Superseded in bionic-release on 2017-12-05
Deleted in bionic-proposed on 2017-12-06 (Reason: moved to release)
totem-pl-parser (3.26.0-1ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Split libtotem-plparser-videosite off to a separate package
      to avoid pulling all its dependencies into main
    - debian/control.in:
      + Don't have libtotem-pl-parser-dev depend on libquvi-dev

Available diffs

Superseded in bionic-release on 2017-10-27
Published in artful-release on 2017-08-14
Deleted in artful-proposed (Reason: moved to release)
totem-pl-parser (3.10.8-3ubuntu1) artful; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Split libtotem-plparser-videosite off to a separate package
      to avoid pulling all its dependencies into main
    - debian/control.in:
      + Don't have libtotem-pl-parser-dev depend on libquvi-dev

Superseded in artful-release on 2017-08-14
Deleted in artful-proposed on 2017-08-15 (Reason: moved to release)
totem-pl-parser (3.10.8-1ubuntu2) artful; urgency=medium

  * No-change rebuild against libgmime-3.0-0

 -- Steve Langasek <email address hidden>  Thu, 20 Jul 2017 03:27:55 +0000

Available diffs

Superseded in artful-release on 2017-07-20
Deleted in artful-proposed on 2017-07-21 (Reason: moved to release)
totem-pl-parser (3.10.8-1ubuntu1) artful; urgency=medium

  * Sync with Debian. Remaining changes:
    - Split libtotem-plparser-videosite off to a separate package
      to avoid pulling all its dependencies into main
    - debian/control.in:
      + Don't have libtotem-pl-parser-dev depend on libquvi-dev

Superseded in artful-release on 2017-07-02
Obsolete in zesty-release on 2018-06-22
Obsolete in yakkety-release on 2018-01-23
Deleted in yakkety-proposed on 2018-06-22 (Reason: moved to release)
totem-pl-parser (3.10.7-1ubuntu1) yakkety; urgency=medium

  * Merge with Debian. Remaining changes:
    - Split libtotem-plparser-videosite off to a separate package
      to avoid pulling all its dependencies into main
    - debian/control.in:
      + Don't have libtotem-pl-parser-dev depend on libquvi-dev

Superseded in yakkety-release on 2016-09-30
Deleted in yakkety-proposed on 2016-10-02 (Reason: moved to release)
totem-pl-parser (3.10.6-4ubuntu2) yakkety; urgency=medium

  * debian/control.in:
    - Don't have libtotem-pl-parser-dev depend on libquvi-dev

 -- Jeremy Bicha <email address hidden>  Fri, 09 Sep 2016 15:17:24 -0400
Superseded in yakkety-proposed on 2016-09-09
totem-pl-parser (3.10.6-4ubuntu1) yakkety; urgency=medium

  * Split libtotem-plparser-videosite off to a separate package
    to avoid pulling all its dependencies into main (LP: #1547395)

 -- Jeremy Bicha <email address hidden>  Fri, 09 Sep 2016 01:53:58 -0400
Superseded in yakkety-proposed on 2016-09-09
totem-pl-parser (3.10.6-4) unstable; urgency=medium

  * debian/rules: set libexecdir to a (multiarched) so-versioned path
    where we install the videosite helper. (Nothing else uses libexecdir.)
  * debian/libtotem-pl-parser18.install:
    install usr/lib/*/libtotem-plparser*/totem-pl-parser directory
    which contains 99-totem-pl-parser-videosite helper.
    (Closes: #816575)
  * Bump Standards-Version to 3.9.7

 -- Andreas Henriksson <email address hidden>  Thu, 03 Mar 2016 15:59:53 +0100
Superseded in yakkety-release on 2016-09-11
Published in xenial-release on 2016-01-18
Deleted in xenial-proposed (Reason: moved to release)
totem-pl-parser (3.10.6-1ubuntu1) xenial; urgency=medium

  * debian/patches/revert-totem-pl-parser-dont-use-quvi.patch: Fixes
    a FTBFS in grilo-plugins, can be dropped once quvi 0.9 transition
    is completed.

 -- Tim Lunn <email address hidden>  Wed, 13 Jan 2016 11:05:23 +1100
Superseded in xenial-release on 2016-01-18
Deleted in xenial-proposed on 2016-01-19 (Reason: moved to release)
totem-pl-parser (3.10.6-1) unstable; urgency=medium

  * New upstream release.
  * Refresh debian/patches/totem-pl-parser-use-old-quvi.patch.

 -- Michael Biebl <email address hidden>  Wed, 16 Dec 2015 00:09:33 +0100

Available diffs

Superseded in xenial-release on 2015-12-16
Obsolete in wily-release on 2018-01-22
Deleted in wily-proposed on 2018-01-22 (Reason: moved to release)
totem-pl-parser (3.10.5-1) unstable; urgency=medium

  [ Jackson Doak ]
  * New upstream release

  [ Michael Biebl ]
  * Wrap dependencies and drop obsolete Conflicts and Replaces from
    pre-wheezy.
  * Split the translations from libtotem-plparser18 into a separate
    libtotem-plparser-common package which is Architecture: all. Make
    libtotem-plparser18 depend on that package.
  * Convert the package to multiarch.
  * Bump debhelper compatility level to 9.
  * Bump Standards-Version to 3.9.6.

 -- Michael Biebl <email address hidden>  Sun, 26 Jul 2015 14:28:53 +0200
Superseded in wily-release on 2015-08-03
Deleted in wily-proposed on 2015-08-04 (Reason: moved to release)
totem-pl-parser (3.10.5-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Robert Ancell <email address hidden>  Mon, 29 Jun 2015 21:25:20 +1200
Superseded in wily-release on 2015-06-29
Obsolete in vivid-release on 2018-01-18
Deleted in vivid-proposed on 2018-01-19 (Reason: moved to release)
totem-pl-parser (3.10.3-1) unstable; urgency=medium


  * New upstream release.

 -- Andreas Henriksson <email address hidden>  Mon, 22 Sep 2014 22:08:06 +0200
Superseded in vivid-release on 2014-10-25
Obsolete in utopic-release on 2016-11-03
Deleted in utopic-proposed on 2016-11-03 (Reason: moved to release)
totem-pl-parser (3.10.2-3ubuntu1) utopic; urgency=medium

  * debian/control.in:
    - build with the main version of libgcrypt
 -- Sebastien Bacher <email address hidden>   Wed, 11 Jun 2014 19:20:10 +0200
Superseded in utopic-proposed on 2014-06-11
totem-pl-parser (3.10.2-3) unstable; urgency=medium


  * debian/control.in:
    + Let libtotem-plparser-dev depend on libquvi-dev, needed by the
      pkg-config file.

 -- Emilio Pozuelo Monfort <email address hidden>  Sat, 31 May 2014 11:46:29 +0200
Superseded in utopic-release on 2014-06-16
Deleted in utopic-proposed on 2014-06-17 (Reason: moved to release)
totem-pl-parser (3.10.2-1ubuntu1) utopic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/ppc64el.diff:
      + Patch m4/libtool.m4 and libtool.m4 for ppc64el.

Available diffs

Superseded in utopic-release on 2014-05-13
Published in trusty-release on 2014-04-01
Deleted in trusty-proposed (Reason: moved to release)
totem-pl-parser (3.10.2-0ubuntu1) trusty; urgency=medium

  * New upstream version
 -- Sebastien Bacher <email address hidden>   Mon, 31 Mar 2014 16:26:58 +0200
Superseded in trusty-release on 2014-04-01
Deleted in trusty-proposed on 2014-04-02 (Reason: moved to release)
totem-pl-parser (3.10.1-0ubuntu1) trusty; urgency=medium

  * New upstream version
 -- Sebastien Bacher <email address hidden>   Wed, 19 Feb 2014 13:46:10 +0100
Superseded in trusty-release on 2014-02-19
Deleted in trusty-proposed on 2014-02-21 (Reason: moved to release)
totem-pl-parser (3.10.0-1ubuntu1) trusty; urgency=medium

  * Patch m4/libtool.m4 and libtool.m4 for ppc64el.
 -- Matthias Klose <email address hidden>   Sun, 22 Dec 2013 15:36:43 +0100
Superseded in trusty-proposed on 2013-12-22
totem-pl-parser (3.10.0-1) experimental; urgency=low


  [ Andreas Henriksson ]
  * New upstream release.
  * Update build-dependencies according to configure.ac:
    - Bump libsoup-gnome2.4-dev to >= 2.43.0
    - Bump libarchive-dev to >= 3.0
    - Drop libquvi-dev (new quvi has incompatible license)
  * Rename package for new SONAME (17->18)
  * Update debian/libtotem-plparser18.symbols

  [ Michael Biebl ]
  * Remove libquvi-dev dependency from libtotem-plparser-dev, the library no
    longer links against libquvi.

  [ Sjoerd Simons ]
  * Add replaces on libtotem-plparser17 for the translations

 -- Sjoerd Simons <email address hidden>  Wed, 06 Nov 2013 22:12:24 +0100
Superseded in trusty-release on 2013-12-23
Obsolete in saucy-release on 2015-04-24
Deleted in saucy-proposed on 2015-04-28 (Reason: moved to release)
totem-pl-parser (3.4.5-1) unstable; urgency=low


  * New upstream release.
  * Upload to unstable.
  * The dependency on newer glib versions has been removed by not using
    g_clear_pointer(). Lower the Build-Depends accordingly.
  * Bump Standards-Version to 3.9.4. No further changes.

 -- Michael Biebl <email address hidden>  Tue, 04 Jun 2013 01:02:57 +0200
Superseded in saucy-release on 2013-06-08
Deleted in saucy-proposed on 2013-06-09 (Reason: moved to release)
totem-pl-parser (3.4.5-0ubuntu1) saucy; urgency=low

  * New upstream version
 -- Sebastien Bacher <email address hidden>   Thu, 30 May 2013 10:34:17 +0200
Superseded in saucy-release on 2013-05-30
Obsolete in raring-release on 2015-04-24
Deleted in raring-proposed on 2015-04-27 (Reason: moved to release)
totem-pl-parser (3.4.4-1) experimental; urgency=low


  * New upstream release.

 -- Emilio Pozuelo Monfort <email address hidden>  Thu, 28 Mar 2013 02:03:45 +0100
Superseded in raring-release on 2013-04-05
Deleted in raring-proposed on 2013-04-06 (Reason: moved to release)
totem-pl-parser (3.4.3-1build1) raring; urgency=low

  * No-change rebuild for the libarchive13 transition.
 -- Adam Conrad <email address hidden>   Sun, 24 Feb 2013 14:47:49 -0700
Superseded in raring-release on 2013-02-27
Deleted in raring-proposed on 2013-02-28 (Reason: moved to release)
totem-pl-parser (3.4.3-1) experimental; urgency=low


  * Team upload
  * New upstream bug fix release
    - build-depend on GLib 2.34, for g_clear_pointer()

 -- Simon McVittie <email address hidden>  Tue, 23 Oct 2012 17:38:31 +0100
Superseded in raring-release on 2012-11-26
Obsolete in quantal-release on 2015-04-24
totem-pl-parser (3.4.3-0ubuntu1) quantal; urgency=low

  * New upstream bugfix release
 -- Robert Ancell <email address hidden>   Wed, 19 Sep 2012 14:38:21 +1200
Superseded in quantal-release on 2012-09-19
totem-pl-parser (3.4.2-1) unstable; urgency=low


  * New upstream release.

 -- Michael Biebl <email address hidden>  Tue, 15 May 2012 20:25:47 +0200

Available diffs

Superseded in quantal-release on 2012-05-18
Published in precise-release on 2012-04-17
totem-pl-parser (3.4.1-1) unstable; urgency=low


  * New upstream bug fix release.
  * Drop explicit Build-Depends on gir1.2-glib-2.0 and bump Build-Depends on
    libgirepository1.0-dev accordingly.

 -- Michael Biebl <email address hidden>  Mon, 16 Apr 2012 17:20:59 +0200

Available diffs

Superseded in precise-release on 2012-04-17
totem-pl-parser (3.4.0-1) unstable; urgency=low


  * New upstream release.
  * Don't bother setting a shlibs version and just use -V since we have a
    symbols file.
  * Build gtk-doc documentation.
  * Update Vcs-* URLs.
  * Bump Standards-Version to 3.9.3.

 -- Michael Biebl <email address hidden>  Sat, 31 Mar 2012 07:14:01 +0200
Superseded in precise-release on 2012-04-02
Deleted in precise-proposed on 2012-04-03 (Reason: moved to release)
totem-pl-parser (3.4.0-0ubuntu1) precise-proposed; urgency=low

  * New upstream release:
    - updated translations
 -- Didier Roche <email address hidden>   Tue, 27 Mar 2012 13:00:30 +0200
Superseded in precise-release on 2012-03-29
totem-pl-parser (3.3.92-0ubuntu1) precise; urgency=low

  * New upstream version
 -- Sebastien Bacher <email address hidden>   Tue, 20 Mar 2012 15:48:02 +0100
Superseded in precise-release on 2012-03-20
totem-pl-parser (3.2.0-2) experimental; urgency=low


  * Switch to gmime 2.6.

 -- Michael Biebl <email address hidden>  Fri, 09 Mar 2012 14:16:19 +0100
Superseded in precise-release on 2012-03-13
totem-pl-parser (3.2.0-0ubuntu2) precise; urgency=low

  * No-change rebuild against libquvi7.
 -- Martin Pitt <email address hidden>   Tue, 28 Feb 2012 11:37:37 +0100

Available diffs

Superseded in precise-release on 2012-03-01
totem-pl-parser (3.2.0-0ubuntu1) precise; urgency=low

  * New upstream release
  * debian/control.in: Bump glib2.0 build dependency to 2.31.0 as per
    configure.in.
  * Drop 01-libquvi-0.4.patch, applied upstream.
 -- Martin Pitt <email address hidden>   Wed, 22 Feb 2012 07:15:27 +0100

Available diffs

Superseded in precise-release on 2012-02-22
totem-pl-parser (2.32.6-2) unstable; urgency=low

  * debian/watch: Track .xz tarballs.
  * Bump debhelper compatibility level to 8.
    - Strip debian/tmp/ from .install files.
    - Bump Build-Depends on debhelper.
  * Change section of gir1.2-totem-plparser-1.0 to introspection.
  * Rely on cdbs to call dh_girepository instead of calling it explicitly.
    Bump Build-Depends on cdbs accordingly.
  * debian/patches/01-libquvi-0.4.patch:
    - Make totem-pl-parser build against libquvi 0.4. Patch is backwards
      compatible with libquvi 0.2. Thanks Ansgar Burchardt for the patch.
      Closes: #651637
 -- Sebastien Bacher <email address hidden>   Mon,  12 Dec 2011 17:25:13 +0000

Available diffs

Superseded in precise-release on 2011-12-12
Obsolete in oneiric-release on 2015-04-24
totem-pl-parser (2.32.6-1) unstable; urgency=low

  * debian/watch: Look for bzip2 tarballs.
  * New upstream release:
    - Fix parsing of remote RSS feeds
    - Add support for M4U/MXU playlists
 -- Martin Pitt <email address hidden>   Wed,  28 Sep 2011 04:23:09 +0000

Available diffs

Superseded in oneiric-release on 2011-09-28
totem-pl-parser (2.32.5-2) unstable; urgency=low

  * debian/control.in: Add libarchive-dev dependency to libtotem-plparser-dev
    as well.

Available diffs

Superseded in oneiric-release on 2011-05-25
totem-pl-parser (2.32.4-3) unstable; urgency=low

  * Team upload.
  * Upload to unstable to fix pkg-config breakage mistakenly introduced by
    2.32.4-1. Closes: #622214

Available diffs

Superseded in oneiric-release on 2011-04-29
Obsolete in natty-release on 2013-06-04
totem-pl-parser (2.32.4-0ubuntu1) natty; urgency=low

  * New upstream release
  * debian/control.in:
    + make libtotem-plparser-dev depend on libquvi-dev
 -- Rico Tzschichholz <email address hidden>   Tue, 05 Apr 2011 18:44:40 +0200

Available diffs

Superseded in natty-release on 2011-04-05
totem-pl-parser (2.32.2-1) experimental; urgency=low

  * New upstream release.
    + debian/control.in:
      - Updated build dependencies.
    + debian/libtotem-plparser17.symbols:
      - Updated for the new symbols.
 -- Robert Ancell <email address hidden>   Tue,  01 Feb 2011 07:13:58 +0000

Available diffs

Superseded in natty-release on 2011-02-01
totem-pl-parser (2.32.1-1) experimental; urgency=low

  * New upstream release.
  * Update to the new gir policy:
    - Rename gir1.0-totem-plparser-1.0 to gir1.2-totem-plparser-1.0.
    - Bump the gobject-introspection build dependency.
    - Build depend on gir1.2 packages.
  * debian/control.in:
    - Remove unneeded libgtk2.0-dev and gir-repository-dev build
      dependencies.
  * debian/rules,
    debian/source/format:
    - Switch to source format 3.0 (quilt).
  * debian/libtotem-plparser17.symbols:
    - Added.
 -- Artur Rona <email address hidden>   Thu,  30 Dec 2010 11:45:34 +0000

Available diffs

Superseded in natty-release on 2010-12-30
totem-pl-parser (2.32.1-0ubuntu2) natty; urgency=low

  * Updated for the gir abi transition
 -- Ken VanDine <email address hidden>   Thu, 16 Dec 2010 13:20:19 -0500

Available diffs

Superseded in natty-release on 2010-12-16
totem-pl-parser (2.32.1-0ubuntu1) natty; urgency=low

  * New upstream version
 -- Sebastien Bacher <email address hidden>   Tue, 09 Nov 2010 21:29:17 +0100

Available diffs

Superseded in natty-release on 2010-11-09
totem-pl-parser (2.32.0-0ubuntu1) natty; urgency=low

  * New upstream version
 -- Sebastien Bacher <email address hidden>   Fri, 15 Oct 2010 11:41:10 +0200
Superseded in natty-release on 2010-10-15
totem-pl-parser (2.30.3-1ubuntu1) natty; urgency=low

  * debian/control.in: don't build-depends on gir-repository-dev
 -- Sebastien Bacher <email address hidden>   Fri, 15 Oct 2010 10:49:13 +0200

Available diffs

Superseded in natty-release on 2010-10-15
totem-pl-parser (2.30.3-1) unstable; urgency=low

  * New upstream bugfix release.
 -- Sebastien Bacher <email address hidden>   Fri,  15 Oct 2010 08:31:55 +0000

Available diffs

Superseded in natty-release on 2010-10-15
Obsolete in maverick-release on 2013-03-05
totem-pl-parser (2.30.3-0ubuntu1) maverick; urgency=low

  * New upstream release
    - Fix parsing of M3U files with ":" in their titles
    - Fix parsing of files hiding as MP4 files (eg. an FLV with an MP4 extension)
 -- Didier Roche <email address hidden>   Mon, 13 Sep 2010 22:16:54 +0200

Available diffs

Superseded in maverick-release on 2010-09-13
totem-pl-parser (2.30.2-1build1) maverick; urgency=low

  * Rebuild with the current gobject introspection
 -- Sebastien Bacher <email address hidden>   Tue, 10 Aug 2010 21:38:11 +0200

Available diffs

Superseded in maverick-release on 2010-08-10
totem-pl-parser (2.30.2-1) unstable; urgency=low

  * debian/control.in:
    + Fix description of the GIR package.
  * New upstream bugfix release:
    + debian/control.in:
      - Add libsoup-gnome2.4-dev build dependency.
      - Update gobject-introspection build dependency to >= 0.6.14.
 -- Sebastien Bacher <email address hidden>   Thu,  05 Aug 2010 10:53:21 +0100

Available diffs

Superseded in maverick-release on 2010-08-05
totem-pl-parser (2.30.1-1) unstable; urgency=low

  * New upstream bugfix release:
    + debian/control.in:
      - Update GLib build dependency to >= 2.24.0.
    + debian/rules:
      - Update shlibs version to >= 2.30.1 because of new API.
 -- Sebastien Bacher <email address hidden>   Thu,  20 May 2010 11:19:42 +0100
Superseded in maverick-release on 2010-05-20
Obsolete in lucid-release on 2016-10-26
totem-pl-parser (2.30.0git201000413-0ubuntu1) lucid; urgency=low

  * Updated to current git version since 2.30.1 will be late for lucid:
    - Fix parsing of dual-types after sniffing
    - Fix use of the wrong iterator in loop
    - Allow dual-types to end up being "normal" playlists
 -- Sebastien Bacher <email address hidden>   Wed, 14 Apr 2010 12:06:18 +0200
Superseded in lucid-release on 2010-04-14
totem-pl-parser (2.30.0-2ubuntu1) lucid; urgency=low

  * Resync on Debian
  * debian/control.in:
    - use conflicts on the lucid gir name since Debian decided on a sligtly
      different one now
 -- Sebastien Bacher <email address hidden>   Fri, 09 Apr 2010 00:25:01 +0200
Superseded in lucid-release on 2010-04-09
totem-pl-parser (2.30.0-0ubuntu1) lucid; urgency=low

  * New upstream version
 -- Sebastien Bacher <email address hidden>   Mon, 29 Mar 2010 22:09:57 +0200

Available diffs

Superseded in lucid-release on 2010-03-29
totem-pl-parser (2.29.92-0ubuntu1) lucid; urgency=low

  * New upstream version:
    - Fix parsing of Guardian Podcasts (lp: #424859)
    - Fix parsing of pukas.wax playlist
    - Fix directory file descriptor leak
    - Fix versioning of the introspection support
  * debian/control.in:
    - don't build-depends on libdbus-1-dev, updated depends
  * debian/patches/01_fix_gir_file.patch,
    debian/patches/90autoreconf.patch:
    - the change is in the new version
 -- Sebastien Bacher <email address hidden>   Thu, 18 Mar 2010 00:13:25 +0100

Available diffs

Superseded in lucid-release on 2010-03-19
totem-pl-parser (2.29.1-0ubuntu1) lucid; urgency=low

  * New upstream release:
    - Add introspection support
    - Remove GTK+ dependency
    - Remove deprecated symbols
    - Add more metadata to XSPF playlist saving
    - Fix compilation on *BSDs
  * debian/watch: update to take unstable version
  * debian/control.in:
    - add Vcs-Bzr tag
    - add gobject-introspection, libgirepository1.0-dev and gir1.0-glib-2.0
      build-dep
    - remove libgtk2.0-dev build-dep
    - bump package revision as soname bumped
    - add gir1.0-totemplparser-1.0 package
  * debian/rules:
    - bump makeshlibs args to new revision
    - call dh_girepository
  * debian/libtotem-plparser17.install:
    - renamed from debian/libtotem-plparser12.install
  * add debian/gir1.0-totemplparser-1.0.install package
  * debian/libtotem-plparser-dev.install:
    - add gir file
  * add debian/patches/01_fix_gir_file.patch:
    - fix gir and typelib file to have good release version
  * add debian/patches/90autoreconf.patch to include previous patch
 -- Didier Roche <email address hidden>   Tue, 26 Jan 2010 20:52:06 +0100

Available diffs

Superseded in lucid-release on 2010-01-26
totem-pl-parser (2.28.2-1) unstable; urgency=low

  * New upstream bugfix release:
    + debian/patches/01_make-reentrant.patch:
      - Dropped, merged upstream.
    + Include gio/gio.h instead of relying on GTK+ to include
      it, which it doesn't in older versions (Closes: #558644).
    + debian/rules:
      - Update shlibs version for new API.
 -- Ubuntu Archive Auto-Sync <email address hidden>   Tue,  05 Jan 2010 06:07:08 +0000

Available diffs

Superseded in lucid-release on 2010-01-05
totem-pl-parser (2.28.1-2) unstable; urgency=low

  * debian/patches/01_make-reentrant.patch:
    + Patch by Matt Kraai <email address hidden> to make totem-pl-parser
      reentrant. Fixes crashes in rhythmbox (Closes: #547683).
 -- Sebastien Bacher <email address hidden>   Thu,  05 Nov 2009 14:23:50 +0000

Available diffs

Superseded in lucid-release on 2009-11-05
Obsolete in karmic-release on 2013-03-04
totem-pl-parser (2.28.1-1) unstable; urgency=low

  * New upstream bugfix release:
    + debian/control.in:
      - Update GLib build dependency.

 -- Sebastien Bacher <email address hidden>   Fri,  02 Oct 2009 14:31:39 +0100

Available diffs

Superseded in karmic-release on 2009-10-02
totem-pl-parser (2.28.0-1) unstable; urgency=low

  * Merge 2.26.2-2.
  * New upstream release.

 -- Sebastien Bacher <email address hidden>   Wed,  23 Sep 2009 21:13:40 +0100

Available diffs

Superseded in karmic-release on 2009-09-23
totem-pl-parser (2.28.0-0ubuntu1) karmic; urgency=low

  * New upstream version

 -- Sebastien Bacher <email address hidden>   Mon, 21 Sep 2009 15:46:45 +0200
Superseded in karmic-release on 2009-09-21
totem-pl-parser (2.27.92-0ubuntu1) karmic; urgency=low

  * New upstream version:
    - Speed up PLS parsing
    - Fix error when trying to activate a data mount in Totem's Movie menu
      (lp: #428998)
    - Try harder to ignore text files
    - Fix test parser

 -- Sebastien Bacher <email address hidden>   Tue, 15 Sep 2009 15:53:48 +0200
Superseded in karmic-release on 2009-09-15
totem-pl-parser (2.27.2-0ubuntu1) karmic; urgency=low

  * New upstream release: (LP: #403814)
    - Add asynchronous parsing API
    - Use GMime instead of evolution-data-server's libcamel for dates parsing
    - Fix detection of DVD ISOs
  * debian/rules:
    - Bump version
  * debian/control.in:
    - Change libcamel dependency to libgmime-2.4

 -- Robert Ancell <email address hidden>   Fri, 24 Jul 2009 10:27:49 +1000

Available diffs

Superseded in karmic-release on 2009-07-27
totem-pl-parser (2.27.1-0ubuntu1) karmic; urgency=low

  * New upstream release: (LP: #373541)
    - Handle all types of newline combinations (Unix/DOS)
    - Fix compilation in MacOS X
    - Convert tests to GTest API and all the changes from 2.26.1 and 2.26.2
  * Merge from Debian unstable, Ubuntu remaining changes:
    - debian/control.in:
      - Update maintainers and add BZR link
      - bump libglib2.0-dev version dependency to 2.18.2 to ensure that
        libgio is embedded
      - Depend on libcamel >= 2.24.1
    - debian/control: Refreshed
    - debian/rules: Bump version
    - debian/watch: Take unstable GNOME versions

 -- Robert Ancell <email address hidden>   Fri, 15 May 2009 18:12:19 +0200
Superseded in karmic-release on 2009-05-15
totem-pl-parser (2.26.2-0ubuntu1) karmic; urgency=low

  * New upstream release (LP: #372602)
    - Fix video/mp4 files played from YouTube showing "get_video" as the video
      name (LP: #346661)
  * debian/patches/20_handle_playlist_newlines.patch
    - Handle various newline formats in playlists (LP: #181553)

 -- Robert Ancell <email address hidden>   Wed, 06 May 2009 12:09:58 +0200
Superseded in karmic-release on 2009-05-06
Obsolete in jaunty-release on 2013-02-28
totem-pl-parser (2.26.1-0ubuntu1) jaunty; urgency=low

  * New upstream release (LP: #353412)
    - Fix playback of radio streams when the URL has a trailing slash
      (LP: #269471)
    - Fix detection of ISOs as VCDs or DVDs
    - Fix parsing of some podcasts with huge amounts of CDATA in the XML

 -- Andreas Moog <email address hidden>   Wed, 01 Apr 2009 22:03:09 +0200
Superseded in jaunty-release on 2009-04-02
totem-pl-parser (2.26.0-0ubuntu1) jaunty; urgency=low

  * New upstream release (LP: 343649)

 -- Ken VanDine <email address hidden>   Mon, 16 Mar 2009 09:41:26 -0400
Superseded in jaunty-release on 2009-03-16
totem-pl-parser (2.25.92-0ubuntu1) jaunty; urgency=low

  * New upstream version (LP: #337312)
    - Updated translations
  * debian/control.in
    - updated build-dep for gtk-doc-tools to 1.11

 -- Andreas Moog <email address hidden>   Tue, 03 Mar 2009 18:13:26 +0100
Superseded in jaunty-release on 2009-03-04
totem-pl-parser (2.25.90-0ubuntu1) jaunty; urgency=low

  * New upstream version (LP: #325546):
    - Add support for the WPL playlist type.
    - Fix the Python bindings not working.
    - Fix a few memory leaks.
    - Fix parsing of ISO-8859-1 M3U files.
    - Ignore rtmp:// URIs.

 -- Chris Coulson <email address hidden>   Mon, 09 Feb 2009 17:25:59 +0100
Superseded in jaunty-release on 2009-02-09
totem-pl-parser (2.25.1-0ubuntu1) jaunty; urgency=low

  * New upstream release:
    - Port disc detection code to GIO, remove HAL dependency
    - Add a way to disable the libcamel dependency for very
      specific system integration cases
    - Use error codes properly and document them
  * debian/control.in:
    - add Vcs-Bzr tag
    - remove libhal-dev
    - bump libglib2.0-dev version dependency to 2.18.2 to ensure that
      libgio is embedded
  * Update debian/watch to take unstable GNOME version
  * Correct (double #include) and adapt
    debian/patches/30_kfreebsd_gnu.patch
  * Re-generate debian/control

 -- Didier Roche <email address hidden>   Wed, 07 Jan 2009 19:22:20 +0100

Available diffs

Superseded in jaunty-release on 2009-01-08
totem-pl-parser (2.24.3-0ubuntu1) jaunty; urgency=low

  * New upstream release (LP: #307275):
    - fix parsing of RSS feeds that use HTML comments
    - fix problems that made Totem show an error when selecting
      a data device in the Movie menu
  * debian/rules:
    - updated shlibs version

 -- Cesare Tirabassi <email address hidden>   Thu, 11 Dec 2008 21:18:52 +0100
Obsolete in intrepid-updates on 2013-02-20
Superseded in jaunty-release on 2008-12-15
Deleted in intrepid-proposed on 2013-02-27 (Reason: moved to -updates)
totem-pl-parser (2.24.2-0ubuntu1) intrepid-proposed; urgency=low

  * New upstream version:
    - Fix parsing of M3U files (lp: #251669)
    - Export missing symbol, fixes the Python bindings
  * debian/rules:
    - updated shlibs version

 -- Sebastien Bacher <email address hidden>   Thu, 30 Oct 2008 18:48:24 +0100

Available diffs

175 of 93 results